Unikraft Cloud allows you to host your deployment at subdomains of the intended metro and/or use custom domains (e.g., example.com). Typically, Unikraft Cloud will automatically generate a TLS certificate for you based on Let's Encrypt™ via a DNS-01 challenge.
For subdomains, your deployment will use the wildcard TLS certificate of the respective Unikraft Cloud metro.
For wildcard domains you have to supply your own certificate. If you want to use Let's Encrypt™ you can use their DNS-based challenge and upload the resulting certificate to Unikraft Cloud.
List Certificates
Get one or many certificates with their current status and configuration. It's possible to filter this list by name or UUID.
query Parameters
detailsWhether to include details about the certificate in the response. By default this is set to true, meaning that all information about the certificate will be included in the response. If set to false, only the basic information about the certificate will be included, such as its name and UUID.
countThe maximum number of certificates to return. If set to 0 or not set, all certificates matching filters will be returned. When filtering by IDs, this should not be set.
fromIf set, the listing starts from the certificate with the given UUID or at the given ISO8601 creation timestamp (inclusive). When count is 0 or not set, a UUID value may be used to match a specific certificate by UUID.
orderThe sort order for the returned certificates.
Valid values are PAGINATION_ORDER_ASC (ascending, oldest first) and
PAGINATION_ORDER_DESC (descending, newest first). Defaults to
PAGINATION_ORDER_ASC.
sortbyThe field to sort the certificates by.
Currently only PAGINATION_SORT_BY_CREATE_TIME is supported. Defaults to
PAGINATION_SORT_BY_CREATE_TIME.
List Certificates › Request Body
metro(Only applies when using global control plane). The metro of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidMutually exclusive with name.
List Certificates › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Create Certificate
Upload a new certificate with the given configuration.
Create Certificate › Request Body
chainThe chain of the certificate.
pkeyThe private key of the certificate.
nameThe name of the certificate.
This is a human-readable name that can be used to identify the certificate. The name must be unique within the context of your account. If no name is specified, a random name is generated for you. The name can also be used to identify the certificate in API calls.
metro(Only applies when using global control plane). The metro to route the request to.
cnThe common name (CN) of the certificate.
Deprecated: Use common_name instead.
common_nameThe common name (CN) of the certificate.
This must be a fully-qualified domain name (FQDN). Exactly one of cn
or common_name must be specified.
Create Certificate › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Delete Certificates
Delete the specified certificate(s). After this call the name of the certificate(s) are no longer valid.
Delete Certificates › Request Body
metro(Only applies when using global control plane). The metro of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidMutually exclusive with name.
Delete Certificates › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Update Certificate
Update the specified certificate with a new certificate chain and private key. Only user-uploaded certificates can be updated; system-managed certificates cannot be modified. The new certificate must have the same common name (CN) as the existing certificate.
Update Certificate › Request Body
The ID of the certificate to update.
chainThe new certificate chain.
This is the public chain of the certificate in PEM format. The chain should include the certificate and any intermediate certificates.
pkeyThe new private key.
This is the private key of the certificate in PEM format. The private key must match the public key in the certificate chain.
Update Certificate › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Get Certificate by UUID
Get a specified certificate by its UUID.
path Parameters
uuidThe UUID of the certificate.
Get Certificate by UUID › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Delete Certificate by UUID
Delete a specified certificate by its UUID. After this call the UUID of the certificate are no longer valid.
path Parameters
uuidThe UUID of the certificate to delete.
Delete Certificate by UUID › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Update Certificate by UUID
Update a specified certificate by its UUID with a new certificate chain and private key.
path Parameters
uuidThe UUID of the certificate to update.
Update Certificate by UUID › Request Body
chainThe new certificate chain.
This is the public chain of the certificate in PEM format. The chain should include the certificate and any intermediate certificates.
pkeyThe new private key.
This is the private key of the certificate in PEM format. The private key must match the public key in the certificate chain.
uuidThe UUID of the certificate to update.
Update Certificate by UUID › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.